local new_actions = {
    {
        id          = "HITFX_EXPLOSION_BURNING",
        name 		= "Explosion on burning",
        description = "Causes the projectile to explode upon collision with a burning creature",
        sprite 		= "data/selectable_classes/explode_on_burning.png",
        sprite_unidentified = "data/ui_gfx/gun_actions/freeze_unidentified.png",
        type 		= ACTION_TYPE_MODIFIER,
        spawn_level                       = "1,3,4,5",
        spawn_probability                 = "1,1,1,1",
        price = 70,
        mana = 10,
        --max_uses = 50,
        action 		= function()
			c.extra_entities = c.extra_entities .. "data/selectable_classes/hitfx_explode_burning.xml,"
			draw_actions( 1, true )
		end,
    },
}

for i,action in ipairs(new_actions) do
    actions[#actions+1] = action
end