dofile("data/selectable_classes/util.lua")

function OnPlayerSpawned(player)
	--check if player inventory has already been emptied
	local init_flag = "select_classes_init_done"
	if GameHasFlagRun(init_flag) then return end
	GameAddFlagRun(init_flag)

	--empty player inventory
	local inventory = get_entity_child(player, "inventory_quick")
	if inventory ~= nil then
		local inventory_items = EntityGetAllChildren(inventory)
		if inventory_items ~= nil then
			for i,item in ipairs(inventory_items) do
				GameKillInventoryItem(player, item)
			end
		end
	end

	GetGameEffectLoadTo(player, "MOVEMENT_FASTER", false)
end

ModLuaFileAppend("data/scripts/biomes/mountain_tree.lua", "data/selectable_classes/treehouse.lua")
ModLuaFileAppend("data/scripts/gun/gun_actions.lua", "data/selectable_classes/actions.lua")
ModMagicNumbersFileAdd("data/selectable_classes/magic_numbers.xml")